/*                             Scramdisk for Linux
 *                             ===================
 *
 *  $Id: getiv.h,v 1.2 2005/08/11 20:49:29 huj Exp $
 *  Author: Hans-Ulrich Juettner
 *  Copyright (c) 2005 - Hans-Ulrich Juettner
 *
 *  Scramdisk for Linux is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of the
 *  License, or (at your option) any later version.
 *
 *  Scramdisk for Linux is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 *  General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Scramdisk for Linux -- see the file COPYING. If not,
 *  write to the Free Software Foundation, Inc., 59 Temple Place,
 *  Suite 330, Boston, MA 02111-1307, USA.
 *
 *  Scramdisk for Linux is a Windows container-compatible on-the-fly
 *  encryption system.  For details, see the Scramdisk World-Wide-Web page,
 *  `http://www.samsimpson.com/cryptography/scramdisk/', or send a mail
 *  to the Scramdisk for Linux developer <hans-ulrich.juettner@t-online.de>.
 *
 *  $Log: getiv.h,v $
 *  Revision 1.2  2005/08/11 20:49:29  huj
 *  Changes for installation on Debian
 *
 *  Revision 1.1  2005/05/22 20:10:22  huj
 *  First public version 0.8.2
 *
 *  Revision 1.1  2003/11/23 15:59:32  huj
 *  First version
 *
 */

#ifndef SD_GETIV_H
#define SD_GETIV_H

#include <bits.h>

#ifdef __cplusplus
  extern "C" {
#endif

void getiv64(uint32* l, uint32* r, uint32* cbccl, uint32* cbccr,
             int sectnum, octet* pWhite);

#ifdef __cplusplus
  }
#endif

#endif
